# -------------------------------------------------------------------------------
# Name:        runme.py
# Purpose:     Pinkerton launched used in MacOS.
#
# Author:      Jose Ignacio Palacios Ortega (jipalacios@hispasec.com)
#
# Created:     22/11/2017
# Copyright:   (c) Hispasec Sistemas 2017
# Licence:     <Hispasec Sistemas 2017+>
# -------------------------------------------------------------------------------

# -------------------------------------------------------------------------------
# Import section
# -------------------------------------------------------------------------------

import os
import subprocess

try:
    pythons = ('/usr/local/bin/python3',
               '/usr/bin/python3',
               '/bin/python3',
               '/usr/sbin/python3',
               '/sbin/python3'
               '/Library/Frameworks/Python.framework/Versions/3.5/bin/python3',
               '/Library/Frameworks/Python.framework/Versions/3.6/bin/python3',
               '/Library/Frameworks/Python.framework/Versions/3.7/bin/python3',
               '/Library/Frameworks/Python.framework/Versions/3.8/bin/python3',
               '/Library/Frameworks/Python.framework/Versions/3.9/bin/python3',
               '/Library/Frameworks/Python.framework/Versions/3.10/bin/python3',
               )
    if not os.path.exists(os.path.join(os.environ['HOME'], 'pinkerton')):
        os.mkdir(os.path.join(os.environ['HOME'], 'pinkerton'))

    python = None
    for bin in pythons:
        if os.path.exists(bin):
            python = bin
            break

    if python:
        subprocess.call([python, os.path.join(os.environ['HOME'], 'pinkerton',
                                              'pinkerton_macos.py'),
                         '-p', python])
    else:
        print('\x1b[6;31;01m'
              'Python3 no se encuentra instalado en el sistema.'
              '\nInstalelo y ejecute de nuevo pinkekton.'
              '\x1b[0m')
except Exception as reason:
    with open(os.path.join(os.environ['HOME'], 'pinkerton', 'error_log.log'),
              'wt') as fout:
        fout.write(str(reason))

